Skip to main content
Version: 1.0
Endpoints Summary
GET All pool metadata
GET One pool metadata by pool id
GET One pool metadata by pool metadata hash
GET All pool metadata OData
GET One pool metadata by pool id OData

GET All pool metadata​

Returns all on-chain references to off-chain pool metadata.

GET /api/core/pools/metadata

👨‍💻 Code samples​

const CBI = await new CardanoBI({ apiKey: 'YOUR-KEY', apiSecret: 'YOUR-SECRET' }); 
const metadata = await CBI.core.pools.metadata_();
console.log(metadata);

💌 Response Codes​

OK: Successful request.

[
{
"id": 1,
"pool_id": 1,
"url": "https://raw.githubusercontent.com/Octalus/cardano/master/p.json",
"hash": "yn0S3s+IbjH1ImtZRsYu3IGn5Ar5XOfNZGUSLjCdViY=",
"registered_tx_id": 2415556,
"hash_hex": "ca7d12decf886e31f5226b5946c62edc81a7e40af95ce7cd6465122e309d5626"
},
"...",
{
"id": 20,
"pool_id": 20,
"url": "https://masp-pool.nl/MASP.json",
"hash": "W7EULqP9nfVf8XIYSLm2ugJ32I5hGnT5rzr6ODhkTZY=",
"registered_tx_id": 2416313,
"hash_hex": "5bb1142ea3fd9df55ff1721848b9b6ba0277d88e611a74f9af3afa3838644d96"
}
]

💌 Response Schemas​

Status Code 200

NameTypeDescription
idinteger(int64)The pool metadata ref unique identifier.
pool_idinteger(int64)The PoolHash table index of the pool for this reference.
urlstringThe URL for the location of the off-chain data.
hashstring(byte)The expected hash for the off-chain data.
registered_tx_idinteger(int64)The Tx table index of the transaction in which provided this metadata reference.
hash_hexstringThe hexadecimal encoding of the expected hash.

GET One pool metadata by pool id​

Returns the on-chain references to off-chain pool metadata for one pool given its unique identifier.

GET /api/core/pools/{pool_id}/metadata

🎰 Parameters​

NameDescriptionInTypeRequired
pool_idPool unique identifierpathintegertrue

👨‍💻 Code samples​

const CBI = await new CardanoBI({ apiKey: 'YOUR-KEY', apiSecret: 'YOUR-SECRET' }); 
const metadata = await CBI.core.pools.metadata_({ pool_id: 4268 });
console.log(metadata);

💌 Response Codes​

OK: Successful request.

[
{
"id": 21950,
"pool_id": 4268,
"url": "https://git.io/JEMjI",
"hash": "RGovyIsZoojy+22lEpImU8mUIACtoQyEbXHki86nToo=",
"registered_tx_id": 12623716,
"hash_hex": "446a2fc88b19a288f2fb6da512922653c9942000ada10c846d71e48bcea74e8a"
},
"...",
{
"id": 33370,
"pool_id": 4268,
"url": "https://adacapital.io/adact_mainnet.json",
"hash": "6tUh2ifWxy3aXv3AppdnV6ZrcmLJeAeHzlxwwY6PSW8=",
"registered_tx_id": 86928296,
"hash_hex": "ead521da27d6c72dda5efdc0a6976757a66b7262c9780787ce5c70c18e8f496f"
}
]

💌 Response Schemas​

Status Code 200

NameTypeDescription
idinteger(int64)The pool metadata ref unique identifier.
pool_idinteger(int64)The PoolHash table index of the pool for this reference.
urlstringThe URL for the location of the off-chain data.
hashstring(byte)The expected hash for the off-chain data.
registered_tx_idinteger(int64)The Tx table index of the transaction in which provided this metadata reference.
hash_hexstringThe hexadecimal encoding of the expected hash.

GET One pool metadata by pool metadata hash​

Returns the on-chain references to off-chain pool metadata for one pool given its metadata hash.

GET /api/core/pools/metadata/hashes/{meta_hash}

🎰 Parameters​

NameDescriptionInTypeRequired
meta_hashPool metadata hashpathstringtrue

👨‍💻 Code samples​

const CBI = await new CardanoBI({ apiKey: 'YOUR-KEY', apiSecret: 'YOUR-SECRET' }); 
const metadata_hashes = await CBI.core.pools.metadata.hashes_({ meta_hash: "42771b05b30f180890980613b3147f6bb797fe1f8a83e92d39a3135ec9559ea8" });
console.log(metadata_hashes);

💌 Response Codes​

OK: Successful request.

[
{
"id": 28640,
"pool_id": 4268,
"url": "https://adacapital.io/adact_mainnet.json",
"hash": "QncbBbMPGAiQmAYTsxR/a7eX/h+Kg+ktOaMTXslVnqg=",
"registered_tx_id": 49755882,
"hash_hex": "42771b05b30f180890980613b3147f6bb797fe1f8a83e92d39a3135ec9559ea8"
},
"...",
{
"id": 28640,
"pool_id": 4268,
"url": "https://adacapital.io/adact_mainnet.json",
"hash": "QncbBbMPGAiQmAYTsxR/a7eX/h+Kg+ktOaMTXslVnqg=",
"registered_tx_id": 49755882,
"hash_hex": "42771b05b30f180890980613b3147f6bb797fe1f8a83e92d39a3135ec9559ea8"
}
]

💌 Response Schemas​

Status Code 200

NameTypeDescription
idinteger(int64)The pool metadata ref unique identifier.
pool_idinteger(int64)The PoolHash table index of the pool for this reference.
urlstringThe URL for the location of the off-chain data.
hashstring(byte)The expected hash for the off-chain data.
registered_tx_idinteger(int64)The Tx table index of the transaction in which provided this metadata reference.
hash_hexstringThe hexadecimal encoding of the expected hash.

GET All pool metadata OData​

Returns all on-chain references to off-chain pool metadata.

GET /api/core/odata/poolsmetadata

👨‍💻 Code samples​

const CBI = await new CardanoBI({ apiKey: 'YOUR-KEY', apiSecret: 'YOUR-SECRET' }); 
const poolsmetadata = await CBI.core.poolsmetadata_({ "odata": true });
console.log(poolsmetadata);

💌 Response Codes​

OK: Successful request.

{
"@odata.context": "https://cardanobi.io/api/core/odata/$metadata#PoolsMetadata",
"value": [
{
"id": 1,
"pool_id": 1,
"url": "https://raw.githubusercontent.com/Octalus/cardano/master/p.json",
"hash": "yn0S3s+IbjH1ImtZRsYu3IGn5Ar5XOfNZGUSLjCdViY=",
"registered_tx_id": 2415556,
"hash_hex": "ca7d12decf886e31f5226b5946c62edc81a7e40af95ce7cd6465122e309d5626"
},
"...",
{
"id": 20,
"pool_id": 20,
"url": "https://masp-pool.nl/MASP.json",
"hash": "W7EULqP9nfVf8XIYSLm2ugJ32I5hGnT5rzr6ODhkTZY=",
"registered_tx_id": 2416313,
"hash_hex": "5bb1142ea3fd9df55ff1721848b9b6ba0277d88e611a74f9af3afa3838644d96"
}
],
"@odata.nextLink": "https://cardanobi.io/api/core/odata/poolsmetadata?$skip=20"
}

💌 Response Schemas​

Status Code 200

NameTypeDescription
idinteger(int64)The pool metadata ref unique identifier.
pool_idinteger(int64)The PoolHash table index of the pool for this reference.
urlstringThe URL for the location of the off-chain data.
hashstring(byte)The expected hash for the off-chain data.
registered_tx_idinteger(int64)The Tx table index of the transaction in which provided this metadata reference.
hash_hexstringThe hexadecimal encoding of the expected hash.

GET One pool metadata by pool id OData​

Returns the on-chain references to off-chain pool metadata for one pool given its unique identifier.

GET /api/core/odata/poolsmetadata/{pool_id}

🎰 Parameters​

NameDescriptionInTypeRequired
pool_idPool unique identifierpathintegertrue

👨‍💻 Code samples​

const CBI = await new CardanoBI({ apiKey: 'YOUR-KEY', apiSecret: 'YOUR-SECRET' }); 
const poolsmetadata = await CBI.core.poolsmetadata_({ "odata": true, pool_id: 4268 });
console.log(poolsmetadata);

💌 Response Codes​

OK: Successful request.

{
"@odata.context": "https://cardanobi.io/api/core/odata/$metadata#PoolsMetadata",
"value": [
{
"id": 21950,
"pool_id": 4268,
"url": "https://git.io/JEMjI",
"hash": "RGovyIsZoojy+22lEpImU8mUIACtoQyEbXHki86nToo=",
"registered_tx_id": 12623716,
"hash_hex": "446a2fc88b19a288f2fb6da512922653c9942000ada10c846d71e48bcea74e8a"
},
"...",
{
"id": 33370,
"pool_id": 4268,
"url": "https://adacapital.io/adact_mainnet.json",
"hash": "6tUh2ifWxy3aXv3AppdnV6ZrcmLJeAeHzlxwwY6PSW8=",
"registered_tx_id": 86928296,
"hash_hex": "ead521da27d6c72dda5efdc0a6976757a66b7262c9780787ce5c70c18e8f496f"
}
]
}

💌 Response Schemas​

Status Code 200

NameTypeDescription
idinteger(int64)The pool metadata ref unique identifier.
pool_idinteger(int64)The PoolHash table index of the pool for this reference.
urlstringThe URL for the location of the off-chain data.
hashstring(byte)The expected hash for the off-chain data.
registered_tx_idinteger(int64)The Tx table index of the transaction in which provided this metadata reference.
hash_hexstringThe hexadecimal encoding of the expected hash.